Bug 197528 - Duplicate BSSIDs in gconf database
Duplicate BSSIDs in gconf database
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 13:06 EDT by Philippe Troin
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-09 19:37:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Philippe Troin 2006-07-03 13:06:09 EDT
Description of problem:
NetworkManager very often files BSSIDs under the wrong network.  When encryption
gets in the mix, NetworkManager stops working (= fails to associate or to report
being associated)

Version-Release number of selected component (if applicable):
NetworkManager 0.6.3-1.fc5
kernel         2.6.16-1.2133_FC5
ipw2200 firwmare version 3.0.

Symptoms:
gconftool-2 -R /system/networking  /system/networking/wireless:
  /system/networking/wireless/networks:
   /system/networking/wireless/networks/Network1:
    bssids = [00:09:5B:86:5C:D2]
    essid = Network1
    timestamp = 1151936399
    we_cipher = 1
   /system/networking/wireless/networks/Network2:
    bssids = [00:0C:41:D8:46:1A,00:09:5B:86:5C:D2]
    wep_auth_algorithm = 2
    essid = Network2
    timestamp = 1151846101
    we_cipher = 16

See that the BSSID for Network1 (ending in :D2) for some reason gets filed for
both Network1 and Network2.


How reproducible:
Quite often, but don't know how to trigger the bug.  It happens quite often to
be a real annoyance though.
Comment 1 Dan Williams 2006-07-09 19:37:53 EDT
I think this was recently fixed in early June right after 0.6.3 went out...

2006-06-09  Dan Williams  <dcbw@redhat.com>

	Patch from Peter Jones:
	* src/nm-device-802-11-wireless.c
		- (nm_device_802_11_wireless_update_bssid): make sure that the
			SSID hasn't changed from what we expect before automatically
			updating the saved BSSID from a new AP

Will get fixed for 0.6.4.

Note You need to log in before you can comment on or make changes to this bug.